org.activiti.engine.form

## Class AbstractFormType

- java.lang.Object
- - org.activiti.engine.form.AbstractFormType

- All Implemented Interfaces:
    Serializable, FormType

      public abstract class AbstractFormType
      extends Object
      implements FormType

  Custom form types should extend this abstract class.
  Author:
    Tom Baeyens, Joram Barrez
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFormType()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Object` | `convertFormValueToModelValue(String propertyValue)`
    `abstract String` | `convertModelValueToFormValue(Object modelValue)`
    `Object` | `getInformation(String key)` Retrieve type specific extra information like the list of values for enum types or the format for date types.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.activiti.engine.form.FormType

      `getName`

- - ### Constructor Detail

    - #### AbstractFormType

          public AbstractFormType()

  - ### Method Detail

    - #### convertFormValueToModelValue

          public abstract Object convertFormValueToModelValue(String propertyValue)

    - #### convertModelValueToFormValue

          public abstract String convertModelValueToFormValue(Object modelValue)

    - #### getInformation

          public Object getInformation(String key)

      Description copied from interface: `FormType`
      Retrieve type specific extra information like the list of values for enum types or the format for date types. Look in the userguide for which extra information keys each type provides and what return type they give.
      Specified by:
        `getInformation` in interface `FormType`

Copyright © 2016 Alfresco. All rights reserved.